[Setup]
AppId=Telcontar.net:{#AppName}
AppName={#AppName}
AppVersion={#AppVersion}
AppVerName={#AppName} {#AppVersion}
AppPublisher={#AppPublisher}
AppPublisherURL={#AppURL}
AppSupportURL={#AppURL}
AppUpdatesURL={#AppURL}
DefaultDirName={pf}\Telcontar\{#AppName}
DefaultGroupName=Telcontar
AllowNoIcons=yes
OutputBaseFilename={#AppName} setup
OutputDir=.
SetupIconFile=Resources\Installer.ico
Compression=lzma
SolidCompression=yes
UninstallDisplayIcon={app}\{#AppExeName}
LicenseFile={#AppName} licence.txt
ChangesAssociations=false

[Languages]
Name: "english"; MessagesFile: "compiler:Default.isl"

[Files]
Source: "{#AppExeName}"; DestDir: "{app}"; Flags: ignoreversion
Source: "{#AppName} licence.txt"; DestDir: "{app}"; Flags: ignoreversion

#ifdef AppReadme
Source: "{#AppReadme}"; DestDir: "{app}"; Flags: ignoreversion
#endif

; NOTE: Don't use "Flags: ignoreversion" on any shared system files

[Icons]
Name: "{group}\{#AppName}"; Filename: "{app}\{#AppExeName}"

#ifdef AppReadme
Name: "{group}\{#AppName} readme"; Filename: "{app}\{#AppReadme}"
#endif

[Run]
Filename: "{app}\{#AppExeName}"; Description: "{cm:LaunchProgram,{#StringChange(AppName, '&', '&&')}}"; Flags: nowait postinstall skipifsilent
